./goblint --conf conf/svcomp.json --sets ana.specification /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/properties/no-data-race.prp --sets exp.architecture 32bit /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c


--------------------------------------------------------------------------------


--sets is deprecated, use --set instead.
--sets is deprecated, use --set instead.
unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:52:3-70:3 with factor 2
unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:82:3-96:3 with factor 3
unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:104:3-118:3 with factor 3
unrolling loop at /mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:166:3-168:3 with factor 8
unrolling loop at lib/libc/stub/src/stdlib.c:10:5-12:5 with factor 12
unrolling loop at lib/libc/stub/src/stdlib.c:21:9-27:9 with factor 4
unrolling loop at lib/libc/stub/src/stdlib.c:40:3-45:3 with factor 6
Collected factors:
functions: 36
functionCalls: 129
loops: 10
loopBreaks: 0
controlFlowStatements: 284
expressions: 1410
instructions: 337
integralVars: (11,53)
arrayVars: (0,0)
pointerVars: (3,14)

Complexity estimates:
File: 14041
Total: 25822
Congruence: 2437
Enabled congruence domain.
Octagon: 4000
Enabled octagon domain for:
assume_abort_if_not, __VERIFIER_atomic_begin, i, key, count, a, tmp, j, count, k, size, a, b, c, i, i, size, arr, t1, t2, t3, k, t, tmp, tmp___0, j, s, tmp, tmp___0, i, l, tmp, cond, tmp___0, tmp___1
Widening: 5344
Enabled widening thresholds
SV-COMP specification: CHECK( init(main()), LTL(G ! data-race) )
[Warning][Integer > Overflow][CWE-191] Unsigned integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:163:3-163:69)
[Warning][Integer > Overflow][CWE-191] Unsigned integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:165:6-165:54)
[Warning][Integer > Overflow][CWE-190] Unsigned integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:165:6-165:54)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:59:7-59:16)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:66:7-66:17)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:67:7-67:16)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:59:7-59:16)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:66:7-66:17)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:67:7-67:16)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:66:7-66:17)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:67:7-67:16)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:59:7-59:16)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:73:3-73:12)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:86:5-86:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:90:5-90:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:86:5-86:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:90:5-90:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:92:5-92:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:86:5-86:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:90:5-90:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:92:5-92:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:86:5-86:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:89:5-89:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:90:5-90:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:92:5-92:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:108:5-108:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:112:5-112:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:108:5-108:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:112:5-112:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:114:5-114:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:108:5-108:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:112:5-112:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:114:5-114:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:108:5-108:15)
[Warning][Integer > Overflow][CWE-191] Signed integer underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190][CWE-191] Signed integer overflow and underflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:111:5-111:76)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:112:5-112:14)
[Warning][Integer > Overflow][CWE-190] Signed integer overflow (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:114:5-114:14)
[Warning][Deadcode] Function 'main' does not return
[Warning][Deadcode] Function 'main' has dead code:
  on line 158 (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:158-158)
[Warning][Deadcode] Logical lines of code (LLoC) summary:
  live: 90
  dead: 1
  total lines: 91
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:104:10-104:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:82:10-82:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:104:10-104:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:82:10-82:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:82:10-82:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:104:10-104:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:104:10-104:11)
[Warning][Deadcode][CWE-571] condition '1' (possibly inserted by CIL) is always true (/mnt/goblint-svcomp/benchexec/sv-benchmarks/c/weaver/popl20-bad-ring-nondet.wvr.c:82:10-82:11)
SV-COMP result: true
[Info][Race] Memory locations race summary:
  safe: 15
  vulnerable: 0
  unsafe: 0
  total memory locations: 15
